using Adaptation.Shared;
using Adaptation.Shared.Properties;
using System;
using System.Collections.Generic;
using System.Text;

namespace Adaptation.FileHandlers.DEP08SIASM;

public class ProcessData
{

    internal static List<Tuple<int, Enum, string>> HyphenTuples => new()
    {
        new Tuple<int, Enum, string>(0, Hyphen.IsNaEDA, @"\EC_EDA\Staging\Traces\~\Source"),
        new Tuple<int, Enum, string>(15, Hyphen.IsXToOpenInsightMetrologyViewer, @"\EC_EAFLog\TracesMES\~\Source"),
        new Tuple<int, Enum, string>(-361, Hyphen.IsXToIQSSi, @"\EC_SPC_Si\Traces\~\PollPath"),
        new Tuple<int, Enum, string>(362, Hyphen.IsXToOpenInsight, @"\\messa01ec.ec.local\APPS\Metrology\~\Source"),
        new Tuple<int, Enum, string>(-363, Hyphen.IsXToOpenInsightMetrologyViewerAttachments, @"\EC_Characterization_Si\In Process\~\Source"),
        new Tuple<int, Enum, string>(-3604, Hyphen.IsXToAPC, @"\EC_APC\Staging\Traces\~\PollPath"),
        new Tuple<int, Enum, string>(-365, Hyphen.IsXToSPaCe, @"\EC_SPC_Si\Traces\~\Source"),
        new Tuple<int, Enum, string>(1806, Hyphen.IsXToArchive, @"\EC_EAFLog\TracesArchive\~\Source"),
        new Tuple<int, Enum, string>(367, Hyphen.IsArchive, @"\EC_Characterization_Si\Processed")
        // new Tuple<int, Enum, string>(1808, Hyphen.IsDummy
    };

    internal static string GetLines(IFileRead fileRead, Logistics logistics, List<jpeg.Description> descriptions)
    {
        StringBuilder result = new();
        if (fileRead is null)
        { }
        if (logistics is null)
        { }
        if (descriptions is null)
        { }
        return result.ToString();
    }

    internal static void PostOpenInsightMetrologyViewerAttachments(IFileRead fileRead, Logistics logistics, string openInsightMetrologyViewerAPI, DateTime dateTime, string logisticsSequenceMemoryDirectory, List<jpeg.Description> descriptions, string matchDirectory)
    {
        if (fileRead is null)
        { }
        if (logistics is null)
        { }
        if (openInsightMetrologyViewerAPI is null)
        { }
        if (dateTime == DateTime.MinValue)
        { }
        if (logisticsSequenceMemoryDirectory is null)
        { }
        if (descriptions is null)
        { }
        if (matchDirectory is null)
        { }
        //Not used
    }

    internal static void PostOpenInsightCommonGatewayInterfaceContacts(IFileRead fileRead, Logistics logistics, string openInsightMetrologyViewerAPI, DateTime dateTime, string logisticsSequenceMemoryDirectory, List<jpeg.Description> descriptions)
    {
        if (fileRead is null)
        { }
        if (logistics is null)
        { }
        if (openInsightMetrologyViewerAPI is null)
        { }
        if (dateTime == DateTime.MinValue)
        { }
        if (logisticsSequenceMemoryDirectory is null)
        { }
        if (descriptions is null)
        { }
        //Not used
    }

}